SND_RAWMIDI_TRAN(9)

NAME
snd_rawmidi_transmit_peek - copy data from the internal buffer

SYNOPSIS

int snd_rawmidi_transmit_peek (struct snd_rawmidi_substream * substream, unsigned char * buffer, int count);

ARGUMENTS

substream
    the rawmidi substream

buffer
    the buffer pointer

count
    data size to transfer

DESCRIPTION

Copies data from the internal output buffer to the given buffer.

Call this in the interrupt handler when the midi output is ready, and call snd_rawmidi_transmit_ack after the transmission is finished.

Returns the size of copied data, or a negative error code on failure.